import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
    state: {
        wsInfo: null,
        StationID: '',
        wsTimer: 30
    },
    mutations: {
        wsInfoMiT(state, val) {
            state.wsInfo = val
        },
        changeStationID(state, val) {
            state.StationID = val
        },
        pusTimer(state, val) {
            state.wsTimer = val
        },
        editTimer(state) {
            state.wsTimer--
        }
    },


})